MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
float/filter_fo.h File Reference

Contains the public interface to the first-order filter (FILTER_FO) module routines. More...

`#include "sw/modules/types/src/types.h"`

Go to the source code of this file.

## Data Structures
struct | _FILTER_FO_Obj_
| Defines the first-order filter (FILTER_FO) object. More...

## Typedefs
typedef struct _FILTER_FO_Obj_ | FILTER_FO_Obj
| Defines the first-order filter (FILTER_FO) object. More...
typedef struct _FILTER_FO_Obj_ * | FILTER_FO_Handle
| Defines the first-order filter (FILTER_FO) handle. More...

## Functions
static float_t | FILTER_FO_get_a1 (FILTER_FO_Handle handle)
| Gets the first-order filter denominator coefficient a1. More...
static float_t | FILTER_FO_get_b0 (FILTER_FO_Handle handle)
| Gets the first-order filter numerator coefficient b0. More...
static float_t | FILTER_FO_get_b1 (FILTER_FO_Handle handle)
| Gets the first-order filter numerator coefficient b1. More...
static float_t | FILTER_FO_get_x1 (FILTER_FO_Handle handle)
| Gets the first-order filter input value at time sample n=-1. More...
static float_t | FILTER_FO_get_y1 (FILTER_FO_Handle handle)
| Gets the first-order filter output value at time sample n=-1. More...
void | FILTER_FO_getDenCoeffs (FILTER_FO_Handle handle, float_t *pa1)
| Gets the first-order filter denominator coefficients. More...
void | FILTER_FO_getInitialConditions (FILTER_FO_Handle handle, float_t *px1, float_t *py1)
| Gets the initial conditions of the first-order filter. More...
void | FILTER_FO_getNumCoeffs (FILTER_FO_Handle handle, float_t *pb0, float_t *pb1)
| Gets the first-order filter numerator coefficients. More...
FILTER_FO_Handle | FILTER_FO_init (void *pMemory, const size_t numBytes)
| Initializes the first-order filter. More...
static float_t | FILTER_FO_run (FILTER_FO_Handle handle, const float_t inputValue)
| Runs a first-order filter of the form y[n] = b0*x[n] + b1*x[n-1] - a1*y[n-1]. More...
static float_t | FILTER_FO_run_form_0 (FILTER_FO_Handle handle, const float_t inputValue)
| Runs a first-order filter of the form y[n] = b0*x[n] - a1*y[n-1]. More...
static void | FILTER_FO_set_a1 (FILTER_FO_Handle handle, const float_t a1)
| Sets the first-order filter denominator coefficient a1. More...
static void | FILTER_FO_set_b0 (FILTER_FO_Handle handle, const float_t b0)
| Sets the first-order filter numerator coefficient b0. More...
static void | FILTER_FO_set_b1 (FILTER_FO_Handle handle, const float_t b1)
| Sets the first-order filter numerator coefficient b1. More...
static void | FILTER_FO_set_x1 (FILTER_FO_Handle handle, const float_t x1)
| Sets the first-order filter input value at time sample n=-1. More...
static void | FILTER_FO_set_y1 (FILTER_FO_Handle handle, const float_t y1)
| Sets the first-order filter output value at time sample n=-1. More...
void | FILTER_FO_setDenCoeffs (FILTER_FO_Handle handle, const float_t a1)
| Sets the first-order filter denominator coefficients. More...
void | FILTER_FO_setInitialConditions (FILTER_FO_Handle handle, const float_t x1, const float_t y1)
| Sets the initial conditions of the first-order filter. More...
void | FILTER_FO_setNumCoeffs (FILTER_FO_Handle handle, const float_t b0, const float_t b1)
| Sets the first-order filter numerator coefficients. More...

## Detailed Description

Contains the public interface to the first-order filter (FILTER_FO) module routines.

(C) Copyright 2014, Texas Instruments, Inc.

Definition in file float/filter_fo.h.

## Function Documentation

static float_t FILTER_FO_get_a1 | ( | FILTER_FO_Handle | handle | ) |
| inline static

Gets the first-order filter denominator coefficient a1.

Parameters

  [in] | handle | The filter handle

Returns
  The filter coefficient value for z^(-1)

Definition at line 102 of file float/filter_fo.h.

References _FILTER_FO_::a1.

static float_t FILTER_FO_get_b0 | ( | FILTER_FO_Handle | handle | ) |
| inline static

Gets the first-order filter numerator coefficient b0.

Parameters

  [in] | handle | The filter handle

Returns
  The filter coefficient value for z^0

Definition at line 113 of file float/filter_fo.h.

References _FILTER_FO_::b0.

static float_t FILTER_FO_get_b1 | ( | FILTER_FO_Handle | handle | ) |
| inline static

Gets the first-order filter numerator coefficient b1.

Parameters

  [in] | handle | The filter handle

Returns
  The filter coefficient value for z^(-1)

Definition at line 124 of file float/filter_fo.h.

References _FILTER_FO_::b1.

static float_t FILTER_FO_get_x1 | ( | FILTER_FO_Handle | handle | ) |
| inline static

Gets the first-order filter input value at time sample n=-1.

Parameters

  [in] | handle | The filter handle

Returns
  The input value at time sample n=-1

Definition at line 135 of file float/filter_fo.h.

References _FILTER_FO_::x1.

static float_t FILTER_FO_get_y1 | ( | FILTER_FO_Handle | handle | ) |
| inline static

Gets the first-order filter output value at time sample n=-1.

Parameters

  [in] | handle | The filter handle

Returns
  The output value at time sample n=-1

Definition at line 146 of file float/filter_fo.h.

References _FILTER_FO_::y1.